Get attribute info
POST
/get-attribute-info
const url = 'https://respondent.rex.dynata.com/get-attribute-info';const options = { method: 'POST', headers: { 'dynata-expiration': '2026-04-15T12:00:00Z', 'dynata-access-key': 'ABCD1234', 'dynata-signature': 'c156e91013eb715edb2b07df5491497a807206b1796bb7d031505107a9dbdcdf', 'Content-Type': 'application/json' }, body: '{"attribute_id":1234}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://respondent.rex.dynata.com/get-attribute-info \ --header 'Content-Type: application/json' \ --header 'dynata-access-key: ABCD1234' \ --header 'dynata-expiration: 2026-04-15T12:00:00Z' \ --header 'dynata-signature: c156e91013eb715edb2b07df5491497a807206b1796bb7d031505107a9dbdcdf' \ --data '{ "attribute_id": 1234 }'This endpoint returns details about an individual attribute.
Please Note
This endpoint will only return details for a single
attributeper request.
Learn more here.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”dynata-expiration
required
string format: date-time
RFC3339 timestamp indicating request expiration
dynata-access-key
required
string
Dynata provided access key
Example
ABCD1234dynata-signature
required
string
Signature created using the dynata methodology
Example
c156e91013eb715edb2b07df5491497a807206b1796bb7d031505107a9dbdcdfRequest Body
Section titled “Request Body”Media typeapplication/json
object
attribute_id
required
integer
Responses
Section titled “Responses”Attribute info obtained
Media typeapplication/json
object
id
integer format: int64
name
string
description
string
display_mode
string
parent_dependencies
Array<object>
object
answer_ids
Array<integer>
attribute_id
integer format: int64
expiration_duration
The time, in milliseconds, that the value recorded for this attribute will be valid. After this duration has expired the attribute is considered unanswered.
integer format: int64
is_active
boolean
countries
Array<string>
question
object
text
string
translations
Array<object>
object
locale
string
text
string
answers
Array<object>
object
id
integer format: int64
text
string
countries
Array<string>
translations
Array<object>
object
locale
string
text
string
Examples
ExampleAttribute Info
{ "id": 123, "name": "[PRIME] TEST Business Title", "display_mode": "single_select", "parent_dependencies": [ { "answer_ids": [ 123, 234, 345 ], "attribute_id": 789 } ], "expiration_duration": 31536000000, "is_active": true, "countries": [ "BG", "US" ], "question": { "text": "Which of the following best describes your current business title or role?", "translations": [ { "locale": "bg_BG", "text": "Кое от следните най-добре описва Вашата текуща позиция или бизнес роля?" }, { "locale": "en_US", "text": "Which of the following best describes your current business title or role?" } ] }, "answers": [ { "id": 9876, "text": "None of the above", "countries": [ "BG", "US" ], "translations": [ { "locale": "bg_BG", "text": "Нито едно от посочените" }, { "locale": "en_US", "text": "None of the above" } ] } ]}Bad request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Invalid credentials
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Internal server error
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}